Bug 643317 - "sendkey ctrl-alt-delete" don't work via VNC
Summary: "sendkey ctrl-alt-delete" don't work via VNC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 649189 654236 657243 657256 657464 (view as bug list)
Depends On:
Blocks: Rhel5KvmTier2 Rhel5KvmTier1
TreeView+ depends on / blocked
 
Reported: 2010-10-15 09:29 UTC by juzhang
Modified: 2013-01-08 13:07 UTC (History)
8 users (show)

Fixed In Version: kvm-83-218.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:37:52 UTC


Attachments (Terms of Use)
bugfix (2.62 KB, patch)
2010-11-24 12:27 UTC, Gerd Hoffmann
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description juzhang 2010-10-15 09:29:54 UTC
Description of problem:
"sendkey ctrl-alt-delete" don't work via VNC

Version-Release number of selected component (if applicable):
#rpm -qa | grep kvm
kvm-qemu-img-83-204.el5
kvm-debuginfo-83-204.el5
etherboot-roms-kvm-5.4.4-13.el5
kvm-tools-83-204.el5
kmod-kvm-83-204.el5
etherboot-zroms-kvm-5.4.4-13.el5
kvm-83-204.el5

#rpm -qa | grep vnc
vnc-server-4.1.2-14.el5_5.4
gtk-vnc-0.3.8-3.el5
vnc-4.1.2-14.el5_5.4
gtk-vnc-python-0.3.8-3.el5


How reproducible:


Steps to Reproduce:
1.Boot guest with -vnc :10 
#/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -m 2G -smp 2 -drive file=/root/zhangjunyi/win2008-r2-virtio.qcow2,if=virtio,boot=on,werror=stop -drive file=/root/zhangjunyi/mnt/win2008/Windows_Server_2008_R2_GA_EN.iso,media=cdrom -fda /usr/share/virtio-win/virtio-drivers-1.0.0-45801-1.0.0.vfd -net nic,vlan=0,macaddr=22:11:22:45:66:83,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu qemu64,+sse2 -balloon none -boot d -monitor stdio -vnc :10 -notify all
2.connect to vnc
#vncviewer 10.66.91.91:10
3.Press F8->Send Crtl+Alt+Del
  
Actual results:
Send keyboard Crtl+Alt+Del.however,guest can not accept these key successful.

Expected results:
After Send Crtl+Alt+Del,guest accept it.

Additional info:

1. I also tried send key via qemu command,guest accept it.
(qemu) sendkey ctrl-alt-delete

Comment 2 juzhang 2010-11-17 09:38:13 UTC
Retested on kvm-83-207.el5,hit this issue again.
Retested on kvm-83-163.el5,it's works,so add regression as keyworks.

Comment 7 Gerd Hoffmann 2010-11-24 12:27:43 UTC
Created attachment 462611 [details]
bugfix

Comment 9 Suqin Huang 2010-11-25 11:18:20 UTC
*** Bug 657256 has been marked as a duplicate of this bug. ***

Comment 14 juzhang 2010-12-01 02:14:19 UTC
Verified on kvm-83-219.el5,I tried four times.all works.

Comment 16 Gerd Hoffmann 2010-12-01 11:38:33 UTC
*** Bug 654236 has been marked as a duplicate of this bug. ***

Comment 17 Gerd Hoffmann 2010-12-02 08:27:27 UTC
*** Bug 657243 has been marked as a duplicate of this bug. ***

Comment 18 Gerd Hoffmann 2010-12-03 11:00:47 UTC
*** Bug 657464 has been marked as a duplicate of this bug. ***

Comment 19 Gerd Hoffmann 2010-12-03 11:06:23 UTC
*** Bug 649189 has been marked as a duplicate of this bug. ***

Comment 21 errata-xmlrpc 2011-01-13 23:37:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.